@charset "utf-8";
/* Custom CSS Document
------------------------------------ */
@import url('https://nrs.preservation.mirrorweb.com/public/20241129155555cs_/https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');

:root {
	font-size: 12pt; /* 16 px × 0.75 = 12.0 pt */
}

body {
	font-family: "Poppins", Arial, Helvetica, "sans-serif";
	color: #585856; /* Grey 1 */
	font-size: 1.0032rem; /* 12 pt × 0.0836 = 1.0032 rem */
	font-weight: 400;
	font-style: normal;
	-webkit-font-smoothing: antialiased;
	text-rendering: optimizeLegibility;
	margin: 0px;
	padding: 0px;
}

.sr-only {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	border: 0;
}
/* Links
------------------------------------ */
main a {
	color: #585856; /* Grey 1 */
	border-bottom: 2px solid #585856; /* Grey 1 */
	text-decoration: none;
	font-weight: 500;
	padding: 0px 5px;
}

	main a:hover {
		color: #000000;
		text-decoration: none;
		background-color: #40c47b; /* Verdant Green */
		border-bottom: 2px solid #016574; /* Scottish Teal */
	}

	main a:focus {
		color: #000;
		background-color: #dfdfdf; /* Grey 3 */
		border-bottom: 2px solid #016574; /* Scottish Teal */
	}

/* Buttons
------------------------------------ */
.btn-primary {
	--bs-btn-color: #000000;
	--bs-btn-bg: #40c47b; /* Verdant Green */
	--bs-btn-border-color: #40c47b; /* Verdant Green */
	--bs-btn-hover-color: #ffffff;
	--bs-btn-hover-bg: #016574; /* Scottish Teal */
	--bs-btn-hover-border-color: #012b31; /* Scottish Dark Teal */
	--bs-btn-focus-shadow-rgb: 113, 112, 110; /* Grey 2 */
	--bs-btn-active-color: #000000;
	--bs-btn-active-bg: #40c47b; /* Verdant Green */
	--bs-btn-active-border-color: #012b31; /* Scottish Dark Teal */
	--bs-btn-active-shadow: inset 0 3px 5px rgba(223, 223, 223, 0.8); /* Grey 3 */
	--bs-btn-disabled-color: #012b31; /* Scottish Dark Teal */
	--bs-btn-disabled-bg: #dfdfdf; /* Grey 3 */
	--bs-btn-disabled-border-color: #71706e; /* Grey 2 */
	font-weight: 600; /* SemiBold */
	border: 0px;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

	.btn-primary:active {
		border: 2px solid;
	}

	.btn-primary:focus {
		color: #000;
		border: 2px solid #012b31; /* Scottish Dark Teal */
		background-color: #40c47b; /* Verdant Green */
	}

	.btn-primary:visited {
		color: #012b31; /* Scottish Dark Teal */
		border: 2px solid #012b31; /* Scottish Dark Teal */
		background-color: #dfdfdf; /* Grey 3 */
	}

.btn-primary--tealBg {
	background-color: #40c47b; /* Verdant Green */
	color: #000;
	font-weight: 600; /* SemiBold */
	border: none;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

	.btn-primary--tealBg:hover {
		background-color: #fff;
		color: #016574; /* Scottish Teal */
	}

	.btn-primary--tealBg:focus {
		background-color: #40c47b; /* Verdant Green */
		border: #016574; /* Scottish Teal */
		color: #000;
	}

	.btn-primary--tealBg:active {
		background-color: #40c47b; /* Verdant Green */
		border: #016574; /* Scottish Teal */
		color: #000;
	}

.btn-secondary {
	background-color: #71706e; /* Grey 2 */
	color: #fff;
	font-weight: 600; /* SemiBold */
	border: none;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

	.btn-secondary:hover {
		background-color: #585856; /* Grey 1 */
		color: #fff;
	}

	.btn-secondary:active {
		border: 2px solid;
		border-color: #000000 !important;
	}

	.btn-secondary:focus {
		color: #000;
		border: 2px solid #585856; /* Grey 1 */
		background-color: #dfdfdf; /* Grey 3 */
		--bs-btn-focus-shadow-rgb: 113, 112, 110; /* Grey 2 */
	}

	.btn-secondary:visited {
		color: #000;
		border: 2px solid #012b31; /* Scottish Dark Teal */
		background-color: #dfdfdf; /* Grey 3 */
	}

.btn-success {
	--bs-btn-color: #fff;
	--bs-btn-bg: #428542; /* gov.scot green */
	--bs-btn-border-color: #00976e; /* Ash green */
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #00976e; /* Ash green */
	--bs-btn-hover-border-color: #428542; /* gov.scot green */
	--bs-btn-focus-shadow-rgb: 60, 153, 110;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #146c43;
	--bs-btn-active-border-color: #13653f;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #00976e;
	--bs-btn-disabled-border-color: #00976e;
	font-weight: 600; /* SemiBold */
	border: 0px;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

.btn-danger {
	background-color: #d32205; /* gov.scot red */
	color: #fff;
	font-weight: 600; /* SemiBold */
	border: none;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

.btn-warning {
	background-color: #fdd522; /* gov.scot yellow */
	color: #000;
	font-weight: 600; /* SemiBold */
	border: none;
	border-radius: 20px;
	padding: 5px 30px;
	margin: 5px;
}

#Intro{ }
.bold{font-weight:bold;}
#Demo {visibility:hidden;}
#GoToMap{visibility:hidden;}
.warning{color:#F00; font-weight:bold;}
h1, h2, h3, h4, h5 {
	color: #585856;
}
header{margin:0px !important; padding:0px !important;}
.Header {
	background-color: #016574;
	color: #FFF !important;
	padding: 15px !important;
	margin: 0px !important;
}
.site--header {
	background: #016574; /* Scottish Teal */
	border-top: 8px solid #40c47b; /* Verdant Green */
	color: #fff;
	padding: 10px 0px 0px 0px;
}

.site--header-logo {
	display: block;
	width: 200px;
	height: auto;
	padding-bottom: 10px;
	margin-bottom: 0;
}

.Header h1,.Header h2,.Header h3,.Header h4,.Header h5 {color:#FFF !important;}
#IntroText h1,#IntroText h2,#IntroText h3,#IntroText h4,#IntroText h5 {margin:0px !important; padding:0px !important; margin-top:15px !important;}
#sbtmForm h1, #sbtmForm h2, #sbtmForm h3, #sbtmForm h4, #sbtmForm h5 {margin:0px !important; padding:0px !important; margin-top:15px !important;}
.modal-header h4 {color:#FFF !important;}

#MapHolder {
	position: relative !important;
	z-index: 1;
	width: 100%;
	height: 500px;
	display: none;
}
#FormHolder{margin:0px; padding:0px; margin-right:auto; margin-left:auto; width:75%; background-color:#FFF; margin-right:auto; border-left:solid; border-right:solid; border-left-width:1px; border-left-color:#d1d2d4; border-right-width:1px; border-right-color:#d1d2d4; -webkit-box-shadow: 0px 0px 11px 0px rgba(50, 50, 50, 0.76); -moz-box-shadow:    0px 0px 11px 0px rgba(50, 50, 50, 0.76); box-shadow: 0px 0px 11px 0px rgba(50, 50, 50, 0.76);}
#IntroTextHolder{background-color:#FFF; width:75%; margin:0px; padding:0px; margin-left:auto; margin-right:auto; border-left:solid; border-right:solid; border-left-width:1px; border-left-color:#d1d2d4; border-right-width:1px; border-right-color:#d1d2d4; -webkit-box-shadow: 0px 0px 11px 0px rgba(50, 50, 50, 0.76); -moz-box-shadow: 0px 0px 11px 0px rgba(50, 50, 50, 0.76); box-shadow: 0px 0px 11px 0px rgba(50, 50, 50, 0.76);}

#sbtmForm{margin:0px; padding:20px; margin-left:auto; margin-right:auto;  padding-top:25px; }
#IntroText{margin:0px; padding:20px; width:100%; margin-left:auto; margin-right:auto; padding-top:25px !important;}
#googleMap{width:100%; height:100%;}

.Hide{display:none;}
#f6{clear:both;}
.clear{width:100%; height:1px; clear:both;}
.Floatleft{float:left;}


/* Details layout */
.Header h1{margin-top:0px; }


/* map controls */
#Controls {position:absolute; text-align:center; z-index:2000 !important; margin: 0; padding:5px; display:block; top:5px; right:5px;}
#Controls .btn{margin-top:0px; margin-right:10px;}
#Controls .btn:last-child{margin-right:0px !important;}
#postcd{position:relative; margin-right:10px; padding:6px; /*top:6px;*/}
.mapControlsGrp1{position:relative; margin:0px; padding:0px;}
.mapControlsGrp2{position:relative;  margin:0px; padding:0px; margin-left:10px !important;}
#postcd{width:120px !important;}
/* Buttons */
/*#DelPin{font-weight:bold; font-size:1.4em; line-height:1em;}*/
/* style the controls box */
#Controls{ background-color: #f2f6f8; padding:8px; border-radius: 5px; -moz-border-radius: 5px; -webkit-border-radius: 5px; border: 2px solid #8ea9b7; -webkit-box-shadow: 0px 5px 4px 0px rgba(50, 50, 50, 0.59); -moz-box-shadow:    0px 5px 4px 0px rgba(50, 50, 50, 0.59); box-shadow:         0px 5px 4px 0px rgba(50, 50, 50, 0.59);}
#Controls .btn , #Controls input{-webkit-box-shadow: 0px 0px 4px 0px rgba(50, 50, 50, 0.25); -moz-box-shadow:    0px 0px 4px 0px rgba(50, 50, 50, 0.25); box-shadow:0px 0px 4px 0px rgba(50, 50, 50, 0.25);} 
/* /map controls */

/* button extra styling */
/*#controls .btn {display:block !important;}
#Controls .btn-danger{box-shadow: inset 2px 2px 0px 0px rgba(217,217,214,0.5), inset -1px -1px 0px 0px rgba(130,51,48,0.3);}
#Controls .btn-default{box-shadow: inset 2px 2px 0px 0px rgba(229,229,229,0.6), inset -2px -2px 0px 0px rgba(74,74,74,0.5);}
#Controls .btn-primary,#IntroText .btn-primary{box-shadow: inset 2px 2px 0px 0px rgba(154,206,230,0.5), inset -1px -1px 0px 0px rgba(0,60,88,0.9);}*/
/* end of button extra styling */

/* form stuff */
#submitText{width:85%; margin-left:auto; margin-right:auto;}
#ChangePinLoc{margin-left:15px; display:block;}
#formDetails{padding:0px; margin:0px; width:100%;}
.formLeft{width:30%; padding-bottom:10px;}
.formRight{width:50%;  padding-bottom:10px;}
.frmtb {float:right;}
.frmRow{margin:0px; padding:0px; clear:both;}
.formItem{margin-top:10px; float:left;}
.formPiece{width:100%; padding:5px;  -webkit-transition: box-shadow 0.3s; -moz-transition: box-shadow 0.3s; -o-transition: box-shadow 0.3s; transition: box-shadow 0.3s;}
#p_flood_description {width:99%;}
.bootstrap-timepicker-widget table td input
{
    width :40px !important;
}
/* shaddow */
.formPiece:focus{
	-webkit-transition: box-shadow 0.3s;
    -moz-transition: box-shadow 0.3s;
    -o-transition: box-shadow 0.3s;
    transition: box-shadow 0.3s;
	-webkit-box-shadow: 2px 2px 5px 0px rgba(28, 103, 138, 0.50);
	-moz-box-shadow:    2px 2px 5px 0px rgba(28, 103, 138, 0.50);
	box-shadow:         2px 2px 5px 0px rgba(28, 103, 138, 0.50);
}

/* different sizes */
@media only screen and (max-width: 540px) {
	.formLeft{width:100% !important; display:block !important;}
	.formRight{width:100% !important; display:block !important;}
	#formDetails{width:100% !important;}
	.mapControlsGrp1{display:block !important;}
	.mapControlsGrp2{display:block !important; margin:0px !important; padding:0px !important;}
	#Controls{padding-left:20px !important;}
	.mapControlsGrp2{margin-top:10px !important;}
}
@media only screen and (max-width: 400px) {
	#Controls{padding:4px !important; }
	.mapControlsGrp2{margin-top:10px !important;}
	..mapControlsGrp1{}
	#Controls .btn{margin-right:5px !important;}
	.btn{padding-top:4px !important; padding-right:8px !important; padding-left:8px !important; padding-bottom:4px !important;}
	#postcd{width:80px !important;}
}
@-ms-viewport{
	width: device-width;
}

@media only screen and (min-width: 64em) {
	/* add the code */
	.not-active {
		pointer-events: none;
		cursor: default;
		color: inherit;
	}
}

/*the following inline styles moved into here for CSP changes*/

.thankyou-intro-text {
	height: 100%;
}

.validation-message {
	color: red !important;
}